/*
 * Theme layout
 *
 */


@media only screen and (max-width: 600px) {

}
@media only screen and (min-width: 1000px) {

}

body .padding-bottom-20 {
	padding-bottom: 20px !important;
}
body .padding-bottom-40 {
	padding-bottom: 40px !important;
}
body .padding-bottom-80 {
	padding-bottom: 80px !important;
}

.two-col {
	column-count: 2;
}
@media only screen and (max-width: 600px) {
	.two-col {
		column-count: 1;
	}
}

/*
 * Containers
 * ======================================================== */

.container {
	max-width: 1160px;
	padding: 0 20px;
}
@media only screen and (min-width: 1280px) {
	.container {
		width: 100%;
	}
}
.container-small,
.small-text-col .main > .container {
	max-width: 650px;
}
.container-medium {
	max-width: 900px;
}
.container-wide {
	max-width: 9999px;
	width: auto;
	padding: 0 20px;
}
.container-max {
	max-width: 9999px;
	width: auto;
	padding: 0;
}
/* prevent double width */
.container .container {
	width: 100%;
	padding: 0;
}



/*
 * Flex and Grid
 * ======================================================== */

.flex {
	display: flex;
	justify-content: space-between;
	align-items: center;
	align-content: center;
    flex-wrap: wrap;
}
.flex-center {
	justify-content: center;
}
.flex-center > * {
	margin-left: 20px;
	margin-right: 20px;
}
.flex-top {
	align-items: flex-start;
}
.flex-bottom {
	align-items: flex-end;
}
.flex-right {
	justify-content: flex-end !important;
}
.flex-half {
	align-items: flex-start;
	gap: 50px;
}
.flex-half.flex-bottom {
	align-items: flex-end;
}
.flex-half.container > * {
	width: calc(50% - 25px);
}
@media (max-width: 800px) {
	.flex-half.container > * {
		width: 100%;
	}
}



/* correct floating columns */
.flex .columns {
	margin-left: 0 !important;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));
    grid-gap: 30px;
}
.grid.grid-half {
	grid-template-columns: repeat(auto-fill, minmax(380px, 1fr));
	grid-gap: 50px;
}




/*
 * Panels
 * ======================================================== */

.panels-holder,
.panels {
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding-bottom: 40px;
	flex-wrap: wrap;
	gap: var(--default-gap);
}
.panels-holder .item-box,
.panels .panel {
	width: 31.33%;
	margin-bottom: 20px;
}
.panels-holder .item-box.item-box-2col,
.panels .panel.item-box-2col {
	width: 65.66%;
}
.panels.col2 .panel {
	width: calc(100%/2 - 30px);
}
.panels-holder.col4 .item-box,
.panels.col4 .panel {
	width: calc(100%/4 - 3*30px); /* 23.5% */
}
.panels-holder.col4 .item-box.item-box-2col,
.panels.col4 .panel.item-box-2col {
	width: 49%;
}
@media only screen and (max-width: 1200px) {
	.panels-holder .item-box,
	.panels-holder .item-box.item-box-2col,
	.panels .panel,
	.panels .panel.item-box-2col {
		width: 49%;
		width: 47.5%;
		margin-bottom: 20px;
	}
	.panels-holder.col4 .item-box,
	.panels.col4 .panel {
		width: 31.33%;
	}
}
@media only screen and (max-width: 960px) {
	.panels-holder .item-box,
	.panels-holder .item-box.item-box-2col,
	.panels .panel,
	.panels .panel.item-box-2col {
		width: 49%;
		width: 47.5%;
	}
	.panels-holder.col4 .item-box,
	.panels.col4 .panel {
		width: 47.5%;
	}
}
@media (max-width: 800px) {
	.panels-holder,
	.panels {
   		display: block;
	}
	.panels-holder .item-box,
	.panels-holder .item-box.item-box-2col,
	.panels .panel,
	.panels .panel.item-box-2col {
		width: 100%;
	}
	.panels-holder.col4 .item-box,
	.panels.col4 .panel {
		width: 100%;
	}
	.panels.col2 .panel {
		width: 100%;
	}
}
@media only screen and (max-width: 480px) {
	.panels-holder,
	.panels {
   		display: block;
	}
}



.panel {
	display: inline-block;
	width: 100%;
	position: relative;
	box-shadow: 0px 0px 14px 0px rgba(0,0,0,0.14);
	background: var(--bg-color-main);
}
.panel.transparent {
	background: transparent;
}
.panel.no-shade {
	box-shadow: 0px 0px 0px 0px rgba(0,0,0,0);
}
.panel.rounded {
	border-radius: 10px;
}

.panel .inner {
	padding: 30px;
}
@media (max-width: 900px) {
	.panel .inner {
		padding: 20px;
	}
}



.panel h2 {
	margin-top: 0;
}
.panel h2 .sub-title {
	display: block;
	font-size: 16px;
	font-weight: 400;
	color: rgba(0,0,0,0.4);
}
.panel h3 {
	margin-top: 0;
}
.panel .inner p:last-child {
	margin-bottom: 0;
}





/*
 * Tables
 * ======================================================== */

th, td {
    padding: 12px 15px;
    text-align: left;
    border-bottom: 1px solid #eaeaea;
}
th {
    font-weight: 600;
    font-size: 12px;
    text-transform: uppercase;
    border-bottom: 1px solid #bbb;
    letter-spacing: 1px;
}




/*
 * Grid (isotope)
 * ======================================================== */

.grid-item,
.grid-sizer { width: 100%;}
.grid-item--width2 { width: 100%; }


/* Larger than mobile */
@media (min-width: 400px) {}

/* Larger than phablet (also point when grid becomes active) */
@media (min-width: 550px) {
	.grid-item,
	.grid-sizer { width: calc( 50% - 15px ); }
	.grid-item--width2 { width: 100%; }
}

/* Larger than tablet */
@media (min-width: 750px) {
	.grid-item,
	.grid-sizer { width: calc( 33.33% - 20px ); }
	.grid-item--width2 { width: calc( 66.67% - 40px ); }
}
/* Larger than desktop */
@media (min-width: 1000px) {}
/* Larger than Desktop HD */
@media (min-width: 1200px) {}




/*
 * Modals
 * ======================================================== */
.modal-open body {
	width: 100vw;
	height: 100vh;
	overflow: hidden;
}
#modals {
	overflow: hidden;
}
.modal {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-tap-highlight-color: transparent;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
	
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	width: 100vw;
	height: 100vh;
	z-index: 1001;
	background-color: rgba(0,0,0,0.5);
	box-shadow: 0 0 0 9999px rgba(0,0,0,0.5);
	justify-content: center;
	align-content: center;
	flex-direction: row;
	align-items: center;
	overflow: hidden;
	
	display: flex;
	display: none;
}
.modal.open {
	display: flex;
}
.modal-inner {
	max-width: 750px;
	min-width: 250px;
	width: 90%;
	max-height: 90%;
	min-height: 50%;
	height: auto;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
	background-color: #fff;
	overflow-x: hidden;
	overflow-y: auto;
}
@media only screen and (min-width : 890px) {
	.modal-inner {
		max-width: 800px;
	}
}
@media only screen and (min-width : 1200px) {
	.modal-inner {
		max-width: 1070px;
	}
}
.close-modal {
	position: absolute;
	cursor: pointer;
}
@media only screen and (max-width : 400px) {
	.close-modal {
		background-color: rgba(0,0,0,0.5);
		border-radius: 4px;
	}
	.modal-inner .close-modal {
		background-color: rgba(0,0,0,0);
		border-radius: 0px;
	}
}
.close-modal-cross {
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    right: 6px;
    top: 6px;
    width: 40px;
    height: 40px;
    color: #fff;
    font-size: 30px;
    opacity: 0.7;
}
.close-modal-cross img {
    width: 40px;
    height: 40px;
}
.close-modal:hover {
    opacity: 1;
}
.primary.inline.close-modal {
    position: absolute;
    right: 10px;
    bottom: 10px;
	padding: 10px 19px;
}
.modal-form {
    background: #fff;
    min-width: 800px;
    min-height: 400px;
    box-shadow: 0 0 6px 1px rgba(0,0,0,1);
    padding: 30px 40px;
    position: relative;
}
.modal-form h2 {

}
.modal-content {
	position: relative;
    border: 2px solid rgba(0,0,0,0);
    background: white;
	min-height: 150px;
    padding: 54px 54px;
	font-size: 16px;
}
.modal-content {
    min-width: 800px;
    min-height: 400px;
}

@media only screen and (max-width : 840px) {
	.modal-content {
		min-width: 280px;
		max-width: 96%;
		min-height: 400px;
		padding: 20px;
	}	

}
